## ros-humble-turbojpeg-compressed-image-transport 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(turbojpeg_compressed_image_transport)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(image_transport REQUIRED)
find_package(pluginlib REQUIRED)
find_package(JPEG REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/manifest.cpp
  src/turbojpeg_compressed_publisher.cpp
)

target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>"
)

target_link_libraries(${PROJECT_NAME}
  cv_bridge::cv_bridge
  image_transport::image_transport
  pluginlib::pluginlib
  turbojpeg
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY "include/"
  DESTINATION include
)
pluginlib_export_plugin_description_file(image_transport turbojpeg_compressed_plugins.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-turbojpeg-compressed-image-transport (0.1.3-1jammy) jammy; urgency=high

  * fix: add missing dependency
  * Contributors: Daisuke Nishimatsu

 -- Daisuke Nishiamtsu <border_goldenmarket@yahoo.co.jp>  Tue, 13 Dec 2022 15:00:00 -0000

ros-humble-turbojpeg-compressed-image-transport (0.1.2-1jammy) jammy; urgency=high

  * fix: rollback to humble api
  * Contributors: Daisuke Nishimatsu

 -- Daisuke Nishiamtsu <border_goldenmarket@yahoo.co.jp>  Tue, 13 Dec 2022 15:00:00 -0000

ros-humble-turbojpeg-compressed-image-transport (0.1.1-1jammy) jammy; urgency=high

  * chore: update license and author in package.xml
  * Contributors: Daisuke Nishimatsu

 -- Daisuke Nishiamtsu <border_goldenmarket@yahoo.co.jp>  Mon, 12 Dec 2022 15:00:00 -0000

ros-humble-turbojpeg-compressed-image-transport (0.1.0-1jammy) jammy; urgency=high

  * fix: modify test
  * feat: initial commit
  * Contributors: Daisuke Nishimatsu

 -- Daisuke Nishiamtsu <border_goldenmarket@yahoo.co.jp>  Sat, 10 Dec 2022 15:00:00 -0000

=== debian/control ===
Source: ros-humble-turbojpeg-compressed-image-transport
Section: misc
Priority: optional
Maintainer: Daisuke Nishiamtsu <border_goldenmarket@yahoo.co.jp>
Build-Depends: debhelper (>= 9.0.0), libturbojpeg0-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-turbojpeg-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libturbojpeg0-dev, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-ros-workspace
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG by turbojpeg.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turbojpeg-compressed-image-transport//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
